//*****************************************
// Graphic OLED Test Program ATMega328
// CPU Clock:Internal 8MHz
//   iq[Yf[^@WȂŁAUWlgȏɂj
//
//
//@OLED 128x64 Control IC: SSD1306
//    H@nkdc\ihhbj
//
// File Name:mega328_i2c_old.c
//
//  PC5(SCL): TWI-SCL
//  PC4(SDA): TWI-SDA
//
//  C:\WinAVR-20100110\doc\avr-libc\avr-libc-user-manual.pdf ɊeCN[ht@C̐
//
//  2023/03/07 New  for mega328_i2c_oled Taishi
//*****************************************

#include	"timer_h.h"
#include	"Mega_Twi_h.h"
#include	"port_bit_h.h"
#include	"OLED_1306_h.h"

unsigned char	test_string[20] = {'1','2','3','4','5','6','7','8','9','0','A',0x00};


int main(void)
{
	unsigned char	uc;

	led_red_on_off(1);
	delay_ms(100);

	twi_init();

	led_grn_on_off(1);
	delay_ms(100);

	led_blu_on_off(1);
	delay_ms(100);

	for(uc=0;uc<5;uc++){
		led_red_on_off(0);
		delay_ms(100);
		led_grn_on_off(0);
		delay_ms(100);
		led_blu_on_off(0);
		delay_ms(100);

		led_red_on_off(1);
		delay_ms(100);
		led_grn_on_off(1);
		delay_ms(100);
		led_blu_on_off(1);
		delay_ms(100);
	}

	led_red_on_off(0);
	led_grn_on_off(0);
	led_blu_on_off(0);

	//   nkdcirrc|PROUj̕\

	init_oled_G();						// Init. OLED

	for(uc=0;;uc++){

		disp_clear_oled_G();							// Clear All Display
		disp_one_char_oled_G(1*6, 0*8, 0x34);			// x:1, y:0, '4'
		disp_oled_G(0*6, 1*8, test_string);				// x:0, y:1, "1234567890A"
		disp_one_char_oled_G_reverse(2*6, 2*8, 0x34);	// x:2, y:2, '4'
		disp_oled_G_reverse(1*6, 3*8, test_string);		// x:1, y:3, "1234567890A"
		led_red_on_off(0);
		led_grn_on_off(1);
		led_blu_on_off(1);
		delay_ms(2000);

		disp_clear_oled_G();							// Clear All Display
		disp_one_char_oled_G_12x16(1*12, 0*16, 0x34);	// x:1, y:0, '4'
		disp_oled_G_12x16(0*12, 1*16, test_string);		// x:0, y:1, "1234567890A"
		led_red_on_off(1);
		led_grn_on_off(0);
		led_blu_on_off(1);
		delay_ms(2000);

		disp_clear_oled_G();							// Clear All Display
		disp_one_char_oled_G_18x24(1*18, 0*24, 0x34);	// x:1, y:0, '4'
		disp_oled_G_18x24(0*18, 1*24, test_string);		// x:0, y:1, "1234567890A"
		led_red_on_off(1);
		led_grn_on_off(1);
		led_blu_on_off(0);
		delay_ms(2000);

		disp_clear_oled_G();							// Clear All Display
		disp_one_char_oled_G_24x32(1*32, 0*32, 0x34);	// x:1, y:0, '4'
		disp_oled_G_24x32(0*24, 1*32, test_string);		// x:0, y:1, "1234567890A"
		led_red_on_off(1);
		led_grn_on_off(1);
		led_blu_on_off(1);
		delay_ms(2000);

		disp_clear_oled_G();				// Clear All Display
		disp_oled_G_font_check1();			// display Font OLED(21char x 8Line)  Code 0 --> 160
		led_red_on_off(1);
		led_grn_on_off(0);
		led_blu_on_off(0);
		delay_ms(2000);

		disp_clear_oled_G();				// Clear All Display
		disp_oled_G_font_check2();			// display Font OLED(21char x 6Line)  Code 161 --> 255
		led_red_on_off(0);
		led_grn_on_off(1);
		led_blu_on_off(0);
		delay_ms(2000);

		disp_clear_oled_G_reverse();		// Clear All Display
		disp_oled_G_reverse_font_check1();	// display Font OLED(21char x 6Line)  Code 0 --> 160
		led_red_on_off(0);
		led_grn_on_off(0);
		led_blu_on_off(1);
		delay_ms(2000);

		disp_clear_oled_G_reverse();		// Clear All Display
		disp_oled_G_reverse_font_check2();	// display Font OLED(21char x 6Line)  Code 161 --> 255
		led_red_on_off(1);
		led_grn_on_off(1);
		led_blu_on_off(1);
		delay_ms(2000);
	}

}
